Bug 240298 - devel/qtcreator: Fix packaging when using GCC
Summary: devel/qtcreator: Fix packaging when using GCC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-03 10:15 UTC by Piotr Kubaj
Modified: 2019-09-21 16:44 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+
koobs: merge-quarterly?


Attachments
patch (1.18 KB, patch)
2019-09-03 10:15 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.84 KB, patch)
2019-09-17 10:15 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (kde)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-03 10:15:15 UTC
Created attachment 207140 [details]
patch

utils-eventcode-members.html and utils-eventcode.html don't exist when qtcreator is built with GCC.
Comment 1 Tobias C. Berner freebsd_committer 2019-09-03 17:07:20 UTC
Moin moin

Lgtm (with hats mentor&maintainer), under the condition, that it keeps packaging.

mfg Tobias
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-09-04 13:38:28 UTC
Approved as mentor (builds for me on ppcports).
Comment 3 Piotr Kubaj freebsd_committer 2019-09-17 10:15:36 UTC
Created attachment 207556 [details]
v2

I can't package on amd64 unless I remove utils-internal-asyncjob-members.html and utils-internal-asyncjob.html. Does that happen for you?
Comment 4 Tobias C. Berner freebsd_committer 2019-09-20 04:42:19 UTC
Hm, I'll check.
Comment 5 Tobias C. Berner freebsd_committer 2019-09-20 19:15:23 UTC
v2 seems to package just fine for me.
Comment 6 commit-hook freebsd_committer 2019-09-21 16:44:31 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Sep 21 16:43:53 UTC 2019
New revision: 512526
URL: https://svnweb.freebsd.org/changeset/ports/512526

Log:
  devel/qtcreator: Fix packaging when using GCC

  utils-eventcode-members.html and utils-eventcode.html don't exist when qtcreator is built with GCC.

  PR:             240298
  Approved by:    tcberner (maintainer, mentor)

Changes:
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/pkg-plist